Bug 215000 - gnome settings deamon error -> applets fail to load
gnome settings deamon error -> applets fail to load
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 10:36 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-16 10:49:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1.01 MB, image/png)
2006-11-10 10:36 EST, David Kovalsky
no flags Details
kernel crash screenshot taken with my mobile phone (682.53 KB, image/jpeg)
2006-11-15 12:00 EST, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2006-11-10 10:36:53 EST
Description of problem:
I installed FC6 and updated to the latest release. Logged in and saw bunch of
error messages on my desktop (screenshot attached).

I'm not actually sure where to report this bug, sorry if this is not the right
component.

dmesg shows a segfault:
...
gnome-settings-[3741]: segfault at 0000000000000008 rip 00002aaaaaab5302 rsp
00007fff6dfb9440 error 4
....

Note this is the first time I have logged in as a regular user. To update I used
the root account through ssh.

after closing the gnome session (logout) I saw on my remote console:
Message from syslogd@slintel-b at Fri Nov 10 16:07:05 2006 ...
slintel-b kernel: invalid opcode: 0000 [1] SMP 

Message from syslogd@slintel-b at Fri Nov 10 16:07:05 2006 ...
slintel-b kernel: Oops: 0000 [2] SMP 

Message from syslogd@slintel-b at Fri Nov 10 16:07:05 2006 ...
slintel-b kernel: CR2: 0000000000000040

Message from syslogd@slintel-b at Fri Nov 10 16:07:05 2006 ...
slintel-b kernel: Oops: 0000 [3] SMP 

Message from syslogd@slintel-b at Fri Nov 10 16:07:05 2006 ...
slintel-b kernel: CR2: ffff880074993550

Message from syslogd@slintel-b at Fri Nov 10 16:07:05 2006 ...
slintel-b kernel: Oops: 0000 [4] SMP 

Message from syslogd@slintel-b at Fri Nov 10 16:07:06 2006 ...
slintel-b kernel: CR2: ffff880074993550


I also took a screenshot of the display on the machine with some kernel
messages, but I don't have my card reader at work, I'll add the attachment.

   
Version-Release number of selected component (if applicable):
control-center-2.16.0-9.fc6


How reproducible:
always
Comment 1 David Kovalsky 2006-11-10 10:36:54 EST
Created attachment 140894 [details]
screenshot
Comment 2 David Kovalsky 2006-11-15 12:00:24 EST
Created attachment 141283 [details]
kernel crash screenshot taken with my mobile phone

hmm, the kernel error seems unrelated to this crash
anyway, adding the screenshot if you want to look at it
Comment 3 Bastien Nocera 2007-02-15 06:16:06 EST
For the kernel crash, we can't help, you'd need to file a new bug about it.

As for the gnome-settings-daemon crash, could you gather a backtrace of the
crash? Try launching it by hand, after having run "ulimit -c unlimited" and
install all the -debuginfo packages necessary before running the core through
gdb. Thanks.
Comment 4 David Kovalsky 2007-02-15 11:18:54 EST
Yeah, the kernel is totaly unrelated (as I already mentioned in comment #2)

I'm installing a fresh FC6 at the moment and updating. I'll try if this is still
an issue as it's been a while since.
Comment 5 David Kovalsky 2007-02-16 10:01:14 EST
I tried to reproduce this bug with fully updated FC6 and had no luck. I guess
that the problem has already been fixed.

JFTR, I was using x86_64 version of FC6, control-center-2.16.3-11.fc6

Feel free to close this bug. 
Comment 6 Bastien Nocera 2007-02-16 10:49:46 EST
Good stuff, closing then.

Note You need to log in before you can comment on or make changes to this bug.